C# Class Revit.SDK.Samples.CreateViewSection.CS.XYZMath

The helper class which give some operation about point and vector. The point and vector are both presented by Autodesk.Revit.DB.XYZ structure.
Afficher le fichier Open project: AMEE/revit Class Usage Examples

Méthodes publiques

Méthode Description
FindDirection ( Autodesk first, Autodesk second ) : Autodesk.Revit.DB.XYZ

Find the direction vector from first point to second point

FindDistance ( Autodesk first, Autodesk second ) : double

Find the distance between two points

FindFloorViewDirection ( CurveArray curveArray ) : Autodesk.Revit.DB.XYZ

Find the view direction vector, which is the same meaning of ViewDirection property in View class

FindMidPoint ( Autodesk first, Autodesk second ) : Autodesk.Revit.DB.XYZ

Find the middle point of the line.

FindMiddlePoint ( CurveArray curveArray ) : Autodesk.Revit.DB.XYZ

Find the middle point of a profile. This method is used to find out middle point of the selected wall or floor.

FindRightDirection ( Autodesk viewDirection ) : Autodesk.Revit.DB.XYZ

Find the right direction vector, which is the same meaning of RightDirection property in View class

FindUpDirection ( Autodesk viewDirection ) : Autodesk.Revit.DB.XYZ

Find the up direction vector, which is the same meaning of UpDirection property in View class

FindWallViewDirection ( CurveArray curveArray ) : Autodesk.Revit.DB.XYZ

Find the view direction vector, which is the same meaning of ViewDirection property in View class

Method Details

FindDirection() public static méthode

Find the direction vector from first point to second point
public static FindDirection ( Autodesk first, Autodesk second ) : Autodesk.Revit.DB.XYZ
first Autodesk the first point
second Autodesk the second point
Résultat Autodesk.Revit.DB.XYZ

FindDistance() public static méthode

Find the distance between two points
public static FindDistance ( Autodesk first, Autodesk second ) : double
first Autodesk the first point
second Autodesk the first point
Résultat double

FindFloorViewDirection() public static méthode

Find the view direction vector, which is the same meaning of ViewDirection property in View class
public static FindFloorViewDirection ( CurveArray curveArray ) : Autodesk.Revit.DB.XYZ
curveArray CurveArray the curve array which form floor's AnalyticalModel
Résultat Autodesk.Revit.DB.XYZ

FindMidPoint() public static méthode

Find the middle point of the line.
public static FindMidPoint ( Autodesk first, Autodesk second ) : Autodesk.Revit.DB.XYZ
first Autodesk the start point of the line
second Autodesk the end point of the line
Résultat Autodesk.Revit.DB.XYZ

FindMiddlePoint() public static méthode

Find the middle point of a profile. This method is used to find out middle point of the selected wall or floor.
public static FindMiddlePoint ( CurveArray curveArray ) : Autodesk.Revit.DB.XYZ
curveArray CurveArray the array of curve which form the profile
Résultat Autodesk.Revit.DB.XYZ

FindRightDirection() public static méthode

Find the right direction vector, which is the same meaning of RightDirection property in View class
public static FindRightDirection ( Autodesk viewDirection ) : Autodesk.Revit.DB.XYZ
viewDirection Autodesk the view direction vector
Résultat Autodesk.Revit.DB.XYZ

FindUpDirection() public static méthode

Find the up direction vector, which is the same meaning of UpDirection property in View class
public static FindUpDirection ( Autodesk viewDirection ) : Autodesk.Revit.DB.XYZ
viewDirection Autodesk the view direction vector
Résultat Autodesk.Revit.DB.XYZ

FindWallViewDirection() public static méthode

Find the view direction vector, which is the same meaning of ViewDirection property in View class
public static FindWallViewDirection ( CurveArray curveArray ) : Autodesk.Revit.DB.XYZ
curveArray CurveArray the curve array which form wall's AnalyticalModel
Résultat Autodesk.Revit.DB.XYZ